Page MenuHomePhabricator

Offline mode fails to recover when back online
Closed, ResolvedPublicBUG REPORT

Description

Issues found on preview demo page:

  • the try again button doesn't update the content

  • the language of the error is different from the one in the link

Event Timeline

Jpita created this task.Nov 2 2020, 8:49 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptNov 2 2020, 8:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SBisson renamed this task from Issues found on preview demo page to Offline mode fails to recover when back online.Nov 4 2020, 8:17 PM
SBisson triaged this task as High priority.
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson moved this task from Backlog to Ready for Dev on the Inuka-Team (Kanban) board.
SBisson changed the subtype of this task from "Task" to "Bug Report".Nov 4 2020, 8:36 PM

the language of the error is different from the one in the link

This is because the i18n key for this text (gallery-loading-error-offline) has not been translated to Arabic yet. Therefore, since it is not present in ar.json the banana library shows the text in English as back up. I understand transalatewiki.net would pick up that translation eventually.

the try again button doesn't update the content

I was able to replicated this issue, I will work on a fix

eamedina claimed this task.Nov 9 2020, 1:35 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Nov 10 2020, 6:32 PM
SBisson added a subscriber: SBisson.

The PR is merged

Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Nov 17 2020, 7:35 PM

@eamedina I created T268057 instead of putting it here because it doesn't seem to be related

@eamedina I noticed that the error message text size shows 12pts. I remember we earlier had it 16pts. Not sure how did it happen but maybe worth addressing as part of this ticket?

@eamedina I created T268057 instead of putting it here because it doesn't seem to be related

Sounds good, thanks

@eamedina I noticed that the error message text size shows 12pts. I remember we earlier had it 16pts. Not sure how did it happen but maybe worth addressing as part of this ticket?

Good catch, I agree we can address with this ticket. The original PR is merged but I can create a small follow up PR to address this update.

eamedina added a comment.EditedNov 18 2020, 8:43 PM

@SGautam_WMF would you mind confirming font size looks good in branch T267069-try-again-bug-follow-up? Will wait for your confirmation to merge new PR, thanks.

@eamedina looks fine now, I did notice something else as well. For Arabic language the full stop(.) appears at the beginning of the error message whereas the message is still in English.

Yea it shows up like that because the Arabic translation of that specific message hasn't been provided by translatewiki.net yet, that translation should come eventually. It looks weird with the dot at the "beginning" because of the RTL vs LTR mix up, once it's translated and we read it right-to-left, then the dot will not appear out of place

SGautam_WMF added a subscriber: AMuigai.

@AMuigai maybe we can ask someone to translate this for us so we can avoid this mix-up?

@SGautam_WMF do I understand correctly we can go ahead and proceed with the PR merge to address the font size change specifically?

@eamedina, sorry, I think that wasn't clear from my earlier message. Yes, we can merge it now.

Thanks, PR has been merged

AMuigai closed this task as Resolved.Nov 24 2020, 11:01 AM